Subject: bug#2756: move SCCS later in vc-handled-backends

From: Stefan Monnier <[email-masked]>
Date: Wed, 01 Apr 2009 11:55:24 -0400

>> >> What problem?  And in what way is it a fix for it?
>> > The fact that SCCS generates unnecessary work for all files managed by
>> > bzr, git, hg (which is a good number nowadays).
>> Unnecessary work is not a problem in and of itself.
> No, but given that it's unnecessary, and that it will be unnecessary in
> the future too, why not get rid of it?
>> And, if this unnecessary work is a problem for Bzr, Git, or Hg files,
>> it's even more problematic for all the non-revision controlled files
>> which additionally need to do unnecessary work to determine that they're
>> neither under Git, Bzr, nor Hg control.  So changing the order won't
>> make much of a difference, other than hide the problem in the particular
>> case where you're lucky enough to access a file under the right VCS.
> Yes, the thing is, what you are talking about above is a separate problem
> that cannot be solved at this point.  
> Even more, the solution for that problem would not solve the problem or
> unnecessary checking for SCCS for systems that have sccs installed by
> default (i.e. about all commercial unixes and free ones that install
> cssc).  So why not just move SCCS to the end of the list?

Because we're in prestest so we limit ourselves to bug-fixes.

        Stefan